Subject: Re: [PATCH RESEND 21/62] init: remove all mentions of root=/dev/ram*

From: Krzysztof Kozlowski <[email-masked]>
Date: Sun, 14 Sep 2025 12:06:24 +0200

On 13/09/2025 02:38, Askar Safin wrote:
> Initrd support is removed, so root=/dev/ram* is never correct

For all your other patches (here is correct):

Please wrap commit message according to Linux coding style / submission
process (neither too early nor over the limit):
https://elixir.bootlin.com/linux/v6.4-rc1/source/Documentation/process/submitting-patches.rst#L597

> 
> Signed-off-by: Askar Safin <[email-masked]>
> ---
>  Documentation/admin-guide/kernel-parameters.txt          | 3 +--
>  Documentation/arch/m68k/kernel-options.rst               | 9 ++-------
>  arch/arm/boot/dts/arm/integratorap.dts                   | 2 +-
>  arch/arm/boot/dts/arm/integratorcp.dts                   | 2 +-
>  arch/arm/boot/dts/aspeed/aspeed-bmc-facebook-cmm.dts     | 2 +-
>  .../boot/dts/aspeed/aspeed-bmc-facebook-galaxy100.dts    | 2 +-
>  .../arm/boot/dts/aspeed/aspeed-bmc-facebook-minipack.dts | 2 +-
>  .../arm/boot/dts/aspeed/aspeed-bmc-facebook-wedge100.dts | 2 +-
>  arch/arm/boot/dts/aspeed/aspeed-bmc-facebook-wedge40.dts | 2 +-
>  arch/arm/boot/dts/aspeed/aspeed-bmc-facebook-yamp.dts    | 2 +-
>  .../boot/dts/aspeed/ast2600-facebook-netbmc-common.dtsi  | 2 +-

No, don't do that. DTS is always separate. Don't mix DTS into such huge
patchbom, either.

>  arch/arm/boot/dts/hisilicon/hi3620-hi4511.dts            | 2 +-
>  .../boot/dts/intel/ixp/intel-ixp42x-welltech-epbx100.dts | 2 +-
>  arch/arm/boot/dts/nspire/nspire-classic.dtsi             | 2 +-
>  arch/arm/boot/dts/nspire/nspire-cx.dts                   | 2 +-
>  arch/arm/boot/dts/samsung/exynos4210-origen.dts          | 2 +-
>  arch/arm/boot/dts/samsung/exynos4210-smdkv310.dts        | 2 +-
>  arch/arm/boot/dts/samsung/exynos4412-smdk4412.dts        | 2 +-
>  arch/arm/boot/dts/samsung/exynos5250-smdk5250.dts        | 2 +-
>  arch/arm/boot/dts/st/ste-nomadik-nhk15.dts               | 2 +-
>  arch/arm/boot/dts/st/ste-nomadik-s8815.dts               | 2 +-
>  arch/arm/boot/dts/st/stm32429i-eval.dts                  | 2 +-
>  arch/arm/boot/dts/st/stm32746g-eval.dts                  | 2 +-
>  arch/arm/boot/dts/st/stm32f429-disco.dts                 | 2 +-
>  arch/arm/boot/dts/st/stm32f469-disco.dts                 | 2 +-
>  arch/arm/boot/dts/st/stm32f746-disco.dts                 | 2 +-
>  arch/arm/boot/dts/st/stm32f769-disco.dts                 | 2 +-
>  arch/arm/boot/dts/st/stm32h743i-disco.dts                | 2 +-
>  arch/arm/boot/dts/st/stm32h743i-eval.dts                 | 2 +-
>  arch/arm/boot/dts/st/stm32h747i-disco.dts                | 2 +-
>  arch/arm/boot/dts/st/stm32h750i-art-pi.dts               | 2 +-
>  arch/arm/configs/assabet_defconfig                       | 2 +-
>  arch/arm/configs/at91_dt_defconfig                       | 2 +-
>  arch/arm/configs/exynos_defconfig                        | 2 +-

To me your patchset is way too big bomb, too difficult to review. You
touch too many subsystems in the same commits. In few cases I saw
dependency, in other cases like here - there is no dependency! So why
grouping independent things together? It only makes it difficult to review.

Anyway, combining here DTS is a no-go for me.

Best regards,
Krzysztof